API ReferenceapipaymentsPOST /v1/webhooks/stripe

POST /v1/webhooks/stripe

Service: payments · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 Webhook processed

{
  "type": "object",
  "properties": {
    "event_id": {
      "type": "string"
    },
    "stripe_event_id": {
      "type": "string"
    },
    "event_type": {
      "type": "string"
    },
    "status": {
      "type": "string"
    }
  },
  "required": [
    "event_id",
    "stripe_event_id",
    "event_type",
    "status"
  ]
}

401 Invalid signature

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

409 Duplicate event

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Webhook processing failed and should be retried

{
  "type": "object",
  "properties": {
    "event_id": {
      "type": "string"
    },
    "stripe_event_id": {
      "type": "string"
    },
    "event_type": {
      "type": "string"
    },
    "status": {
      "type": "string"
    }
  },
  "required": [
    "event_id",
    "stripe_event_id",
    "event_type",
    "status"
  ]
}

Example

curl -X POST https://payments.platform.loop.health/v1/webhooks/stripe \
  -H "Authorization: Bearer $ACCESS_TOKEN"